Suppliers
Upsert Supplier
Create or update a supplier.
POST
Create or update a supplier. If id is provided, updates by id. Otherwise, if externalId is provided, finds by externalId and updates or creates if not found. If neither is provided, creates a new supplier.
AuthorizationBasic <token>
Basic API key authentication. Create a new API key and secret in the Recommand dashboard.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/suppliers" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "success": true, "supplier": { "id": "string", "teamId": "string", "externalId": "string", "name": "string", "vatNumber": "string", "peppolAddresses": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "labels": [ { "colorHex": "#3B82F6", "externalId": "erp-routing-inbox", "id": "lbl_01JQZ8X0M4T7RB6K9V2NDHW3PA", "name": "ERP" } ] }}